com.independentsoft.exchange

## Class Note

- java.lang.Object
- - com.independentsoft.exchange.Item
  - - com.independentsoft.exchange.Note

-     public class Note
      extends Item

  Represents a note in a Notes folder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Note()` Initializes a new instance of the Note class.
    `Note(MimeContent mimeContent)` Initializes a new instance of the Note class.
    `Note(java.lang.String subject)` Initializes a new instance of the Note class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NoteColor` | `getColor()` Gets the color of the note.
    `java.util.List<java.lang.String>` | `getContacts()` Gets a list of contacts are associated with a note.
    `int` | `getHeight()` Gets the height of the note window.
    `NoteColor` | `getIconColor()` Gets the color of the icon.
    `int` | `getLeft()` Gets the position of the left vertical edge of note window from the edge of the screen.
    `int` | `getTop()` Gets the position of the top horizontal edge of an note window from the edge of the screen.
    `int` | `getWidth()` Gets the width of the note window.
    `void` | `setColor(NoteColor color)` Sets the color of the note.
    `void` | `setHeight(int height)` Sets the height of the note window.
    `void` | `setIconColor(NoteColor color)` Sets the color of the icon.
    `void` | `setLeft(int left)` Sets the position of the left vertical edge of note window from the edge of the screen.
    `void` | `setTop(int top)` Sets the position of the top horizontal edge of an note window from the edge of the screen.
    `void` | `setWidth(int width)` Sets the width of the note window.
    `java.lang.String` | `toString()` Converts the value of the current Note object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.Item

      `getArchiveTag, getAttachments, getBody, getBodyHtmlText, getBodyPlainText, getBodyRtf, getCategories, getComment, getConversationId, getCreatedTime, getCulture, getDisplayName, getEffectiveRights, getEntityExtractionResult, getEntryId, getExtendedProperties, getExtendedProperty, getFlag, getGroupingAction, getIconIndex, getImportance, getInstanceKey, getItemClass, getItemId, getLastModifiedTime, getLastModifierName, getMimeContent, getNextPredictedAction, getParentId, getPreview, getReminderDueBy, getReminderIsSet, getReminderMinutesBeforeStart, getRetentionDate, getRetentionTag, getRtfCompressed, getSearchKey, getSensitivity, getSize, getStoreEntryId, getSubject, getTextBody, getUniqueBody, getWebClientEditFormQueryString, getWebClientReadFormQueryString, hasAttachments, hasBlockedImages, isAssociated, isBlockStatus, isHidden, setArchiveTag, setBody, setBodyRtf, setCategories, setComment, setDisplayName, setEffectiveRights, setFlag, setHidden, setImportance, setItemClass, setMimeContent, setReminderDueBy, setReminderIsSet, setReminderMinutesBeforeStart, setRetentionDate, setRetentionTag, setRtfCompressed, setSensitivity, setSubject`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Note

          public Note()

      Initializes a new instance of the Note class.

    - #### Note

          public Note(java.lang.String subject)

      Initializes a new instance of the Note class.
      Parameters:
        `subject` - the subject

    - #### Note

          public Note(MimeContent mimeContent)

      Initializes a new instance of the Note class.
      Parameters:
        `mimeContent` - the mime content

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current Note object to its equivalent string representation.
      Overrides:
        `toString` in class `Item`
      Returns:
        the string

    - #### getWidth

          public int getWidth()

      Gets the width of the note window.
      Returns:
        the width

    - #### setWidth

          public void setWidth(int width)

      Sets the width of the note window.
      Parameters:
        `width` - the new width

    - #### getHeight

          public int getHeight()

      Gets the height of the note window.
      Returns:
        the height

    - #### setHeight

          public void setHeight(int height)

      Sets the height of the note window.
      Parameters:
        `height` - the new height

    - #### getLeft

          public int getLeft()

      Gets the position of the left vertical edge of note window from the edge of the screen.
      Returns:
        the left

    - #### setLeft

          public void setLeft(int left)

      Sets the position of the left vertical edge of note window from the edge of the screen.
      Parameters:
        `left` - the new left

    - #### getTop

          public int getTop()

      Gets the position of the top horizontal edge of an note window from the edge of the screen.
      Returns:
        the top

    - #### setTop

          public void setTop(int top)

      Sets the position of the top horizontal edge of an note window from the edge of the screen.
      Parameters:
        `top` - the new top

    - #### getColor

          public NoteColor getColor()

      Gets the color of the note.
      Returns:
        the color

    - #### setColor

          public void setColor(NoteColor color)

      Sets the color of the note.
      Parameters:
        `color` - the new color

    - #### getContacts

          public java.util.List<java.lang.String> getContacts()

      Gets a list of contacts are associated with a note.
      Returns:
        the contacts

    - #### getIconColor

          public NoteColor getIconColor()

      Gets the color of the icon.
      Returns:
        the icon color

    - #### setIconColor

          public void setIconColor(NoteColor color)

      Sets the color of the icon.
      Parameters:
        `color` - the new icon color